GNU bug report logs - #23341
x-show-tip does not respect the value of tooltip-hide-delay, and the default tooltip timeout isn't configurable

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>; dated Sat, 23 Apr 2016 02:48:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 26 Apr 2016 11:25:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 07:25:17 2016
Received: from localhost ([127.0.0.1]:47529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1av17F-0000fy-JA
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2016 07:25:17 -0400
Received: from mail-wm0-f66.google.com ([74.125.82.66]:33271)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1av17D-0000fj-VE
 for 23341 <at> debbugs.gnu.org; Tue, 26 Apr 2016 07:25:16 -0400
Received: by mail-wm0-f66.google.com with SMTP id r12so3548110wme.0
 for <23341 <at> debbugs.gnu.org>; Tue, 26 Apr 2016 04:25:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:subject:to:references:cc:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-transfer-encoding;
 bh=pAMCnPSLJ7aCvfOh+Qm+tJY7sGuo3PN0D3kE69iWIw4=;
 b=ECLlspNeOoGMQtNRYswxT2azznUfMfj/R/jwhodq+N06LS1Sto+cACNTN4rX5Ybjmv
 TolWDddexMOzlzxQmV04pgpZclCRc4jqIstWWEIulMXRIyoj5b2FOUT1DKieSvab+aFb
 GO6aDrslSYG0FRxO5UFsoGB0k7fZmJrygO5OtxYVAOqQ3dUJheALvIR80XTwgN70nXPv
 HMLVnO/H6y1u1VaalzK2ZJpkKsdU/qz2UbtaHsZd6vIH4jhgVIP5Jicy8UnkDqdNSD1x
 ZOIEx6STmTV8QmS2+f3w9Hvx3qTEF4DptWlSh0OWrHiJO+aNe8uvfJB4NkcxmwMHvXHG
 MJSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:subject:to:references:cc:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-transfer-encoding;
 bh=pAMCnPSLJ7aCvfOh+Qm+tJY7sGuo3PN0D3kE69iWIw4=;
 b=LOVCEhWs2rRNMABnRUOjr2wtvu7gKh2e+oG33Ef4iwLAiS6K+FJfrX4roZtcJgMthz
 rBCRmTDnL8QCUYNDbhmPNa/9x52p7SzqyIiZt/jfiQKRJbPqet1WkfsVRAtcRqqysTAW
 cG3Ezh4NUjLNPr2VKXxZUclGGhuYBM4NPZnIdE7thtz8th+EG/O3PtWJE92JGdi4OXTM
 KZSKT1phhbCNQsJwZ1UUtX/mmNw56zgrI672hiTMOVV+0Fm4HAMBtFALxct5+CGpeVXi
 nXRYSBMsKZeSYtQ1jEg1rwJgFbVCByR9T5QKFG1PjEIRdROBKvaf0yCqyT3jqreS+P/H
 TqgA==
X-Gm-Message-State: AOPr4FVFMDRZ56VkuKNgwscWv3wzjeWyjcD+ZEaEHu9K2lpOIOyvCP8stLRb1DPDlbYrgg==
X-Received: by 10.28.144.20 with SMTP id s20mr3272852wmd.12.1461669910276;
 Tue, 26 Apr 2016 04:25:10 -0700 (PDT)
Received: from [192.168.1.2] ([185.105.175.24])
 by smtp.googlemail.com with ESMTPSA id b12sm20206494wmb.0.2016.04.26.04.25.08
 (version=TLSv1/SSLv3 cipher=OTHER);
 Tue, 26 Apr 2016 04:25:09 -0700 (PDT)
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: martin rudalics <rudalics@HIDDEN>,
 =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
 <571BB03F.5000906@HIDDEN> <571C8674.5050702@HIDDEN>
 <571CDAFA.6060002@HIDDEN> <83inz73spd.fsf@HIDDEN>
 <571CF48D.7010207@HIDDEN> <571F0C14.8070404@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <bdfcf8cb-3071-cffa-4014-db30daed328e@HIDDEN>
Date: Tue, 26 Apr 2016 14:25:08 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.0
MIME-Version: 1.0
In-Reply-To: <571F0C14.8070404@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 04/26/2016 09:35 AM, martin rudalics wrote:

> I'm currently trying to implement something like tip-like frames which
> should allow applications to display an arbitrary number of such frames
> and a strategy for hiding and moving such frames (the latter being the
> more problematic part).  I hope that as soon as these frames can be
> used, the need for a "new similar variable" will be moot ;-)

That sounds exciting!




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 26 Apr 2016 06:35:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 26 02:35:23 2016
Received: from localhost ([127.0.0.1]:47399 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auwah-0000pW-4e
	for submit <at> debbugs.gnu.org; Tue, 26 Apr 2016 02:35:23 -0400
Received: from mout.gmx.net ([212.227.15.18]:50812)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1auwaf-0000p7-66
 for 23341 <at> debbugs.gnu.org; Tue, 26 Apr 2016 02:35:21 -0400
Received: from [192.168.1.100] ([212.95.7.76]) by mail.gmx.com (mrgmx003) with
 ESMTPSA (Nemesis) id 0Ldq9D-1bcI9D1VXn-00j0iR;
 Tue, 26 Apr 2016 08:35:12 +0200
Message-ID: <571F0C14.8070404@HIDDEN>
Date: Tue, 26 Apr 2016 08:35:00 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?UTF-8?B?Q2zDqW1lbnQgUGl0LS1DbGF1ZGVs?=
 <clement.pitclaudel@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, 
 and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
 <571BB03F.5000906@HIDDEN> <571C8674.5050702@HIDDEN>
 <571CDAFA.6060002@HIDDEN> <83inz73spd.fsf@HIDDEN>
 <571CF48D.7010207@HIDDEN>
In-Reply-To: <571CF48D.7010207@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:R5yHBRhxxEzjF7z7o/P/Ha3/ClqcPGQS/oWQV0qRI9w0ItGMB42
 dk0WxuLCkFWIsufdn3dOCUlhnSMSx8PhbXyTAlrOavCEu8VqoYD+OAeJsZzb8Pb7Lc3P9xP
 Gikixjo8s8Gayad3GmJllN4NHuKjFtQ7uZdrf5vTCcJ+ej82syEEbgWbwbdkClSgWsdaAU6
 zHptDvW5Q1UYYlBZrDw+Q==
X-UI-Out-Filterresults: notjunk:1;V01:K0:zrk46/2Ezmg=:MT5mmtFpD6rQ7h+eHU8+a2
 MQAP5I77r5peVCNMl92ZK995E4GFQhXnSLYCOEF+s+ag2cJnYidiRJ+bqU2Gwczfgm6mspXet
 aehbTb1JfL7IuYJFBAVJL4ZvktiffmcEOmRe/8KNKggRG4bQXyAf+8v2A+4NDCufwwFmBXA9q
 6cDBxy6GcuHfWd3CZ9yB+Fd5YWVdXNKXuei+G9sJc4FLf/ffEzvygSUJY0W5M9atdREXsxwJH
 12mATlodawo09tYpIwAo7FynTdYIrj8TNSij1zQhkWR6YDHRf4W8A6dEQYK1AY9xqtI0PLXmL
 r0PXXVcMURBmaOJu5N8lwN3R/C30+rIXISXltXZLLXD7j2HsZnTrXaWQjSs32KdV3Cktmw9q0
 IYZmwAieX4Z+tbP2LPv7tmBy7wp6vM4Gzu+R+BEqUMEhxsv7afLPoZlGVu3v6TA5KnYROGXsZ
 mzg3Meh8AMu43GtkJNfPqMwWlTlp0yvf5tqa+wUl3hAtwuaKA9zjT/npkAJz9/dFRXh74SeM0
 NSwATcug6tLv+eYCXc/M4XH70ou+zoqclOeCzSxkREiOGtYoaA6wDHnHtymC6v0TyqPqSyHeu
 Ym6SBIkcnK1gPaD7sdxVJuT0W6ZcY4azK16gNcBuJJ4cTPQ8/pZFrSqbQSjGIuKNY79B2dDxs
 C9umBWznw67kT7y1GU5BCvpOrvrwNtXa+lZvnhPRdCq/EuBjqZESctNTNUbQ7WauQu2R9vtyw
 SXtbWw5UA3S9E2u5DWicO/YUZN/tsxIoEtkBfeBHKOCJtcKUEQ4Whi+VtxIIuDBqkFeDmHkGB
 KMUdforhLVUzz5wr7svxp5TXdBQPA==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 > Hence "(or of a new similar variable)" :)

I suppose that most clients of =E2=80=98x-show-tip=E2=80=99 peruse this f=
unction for
showing a frame that displays more persistent information - hence the
need for customizing this delay independently from =E2=80=98tooltip-hide-=
delay=E2=80=99.

I'm currently trying to implement something like tip-like frames which
should allow applications to display an arbitrary number of such frames
and a strategy for hiding and moving such frames (the latter being the
more problematic part).  I hope that as soon as these frames can be
used, the need for a "new similar variable" will be moot ;-)

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 24 Apr 2016 16:30:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 12:30:17 2016
Received: from localhost ([127.0.0.1]:45173 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auMvI-0000f7-R8
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 12:30:17 -0400
Received: from mout.kundenserver.de ([212.227.17.10]:65304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1auMvH-0000eu-Ex
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 12:30:16 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue104) with ESMTPSA (Nemesis) id 0MMFUT-1amvrp1jED-007yum; Sun, 24 Apr
 2016 18:30:08 +0200
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: Eli Zaretskii <eliz@HIDDEN>
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
 <571BB03F.5000906@HIDDEN> <571C8674.5050702@HIDDEN>
 <571CDAFA.6060002@HIDDEN> <83inz73spd.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <571CF48D.7010207@HIDDEN>
Date: Sun, 24 Apr 2016 12:30:05 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <83inz73spd.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="L3LRXKdkv76uVGu83rdsUnvXf7QKKBkJ8"
X-Provags-ID: V03:K0:zgkOi1ugbbova+ByXGUjR963a3K7dvzwVXfU8/mLvi2xhpBCxyf
 xPhi16QR2+W4qjRMskTsuiRU1ouQsN8uVBkyCRu2tFB3WstifcVVIkWtA7LmwYcwodb2EHO
 Mn86ObCNkxE2z4010bNOntZS+NtajXIx5dQIaYh7yIJvVOMcqSRMcpsvOrOA6TTmYvrQ4hC
 XrgDqaz/QDBzWGAZxdttg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:8JGBKRwgqMM=:S+TG7B2GmR0jLPaaY8FTeF
 6M8PNDQLGDv6BQTQmMr/AWAg0pwK+TuO7LrnE09fkL+r5YjagXeX9GHZNCPsVmVGN/uvEqHhA
 6BOBjOW9XJn9jGPISL9rpd1SrPK30j0drTB4XLXKzOOQbiCcQJhRjzDMuxtVHbHGb+cQJpLPZ
 pNjfaeu2ouuAdEnsdSRhHMio2qR+OHHxB788GuXmnsmEfOQZDIBi+M9CmcZmSQ/EEiJIEMvXA
 0US1q9SpdigLovkQvoBnyYt84vVX98kKI4xAbEDXSWCjGnniYTHTakmSojiKC6wFHEEhux+bh
 c/MuzBU9pZaXS1Nqb246jdYObAQ90uGzAbO4kNUYKsZAb4IZGWzzL+NhV9xG3zaCVmz62Riuy
 WZfwKHg5uim2GI+E31rAFyWRhebxPet9j0eCQ14tt+yIwHrReLxe/FfAgMS04E3THGVNNlH/o
 3CJwkM368lOGge1B3nB9dSTG4yKGp6p3Izqthr8VQImZJ8+TGp5eBWgIM7+DWyXoBD54m8Thl
 zb40nYjy8pQLFvbeO5r370AwLBjoGxNgs5j8X0ghEaWUXMFosVK3/1iew4QmH34Ie/e5eDy7k
 gMklJU2qNBV3Z8SKLPWKDgoEgI0goXZHpzVR78zfCu2rluCDR9J3Erl8nUeyqMYN8hF2eutLz
 bykdTBeNJZVvWHtZ/kzqM0CbYG6OhTOioHQELWkBw7piqmTioqcFryiHPRcZnKsEZG+E=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23341
Cc: rudalics@HIDDEN, 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--L3LRXKdkv76uVGu83rdsUnvXf7QKKBkJ8
Content-Type: multipart/mixed; boundary="3frITt1X1XqsqdqK9510Ediw6c1ToatrF"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: rudalics@HIDDEN, 23341 <at> debbugs.gnu.org
Message-ID: <571CF48D.7010207@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
 <571BB03F.5000906@HIDDEN> <571C8674.5050702@HIDDEN>
 <571CDAFA.6060002@HIDDEN> <83inz73spd.fsf@HIDDEN>
In-Reply-To: <83inz73spd.fsf@HIDDEN>

--3frITt1X1XqsqdqK9510Ediw6c1ToatrF
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-04-24 11:57, Eli Zaretskii wrote:
>> From: Cl=C3=A9ment Pit--Claudel <clement.pitclaudel@HIDDEN>
>> Date: Sun, 24 Apr 2016 10:40:58 -0400
>>
>> On 2016-04-24 04:40, martin rudalics wrote:
>>> If you can think of a better solution with less surprising results
>>> for the user please tell me.
>>
>> Isn't using the value of tooltip-hide-delay (or of a new similar varia=
ble) as the default in x-show-tip such a solution?
>> In other words, what downside does it have? Sorry if I missed one. All=
 that I've seen for now is mentions that this was an internal detail.
>=20
> The downside is that tooltip-hide-delay has no relation whatsoever to
> x-show-tip.  It is a user option supported by functions in tooltip.el,
> as its name says.

Hence "(or of a new similar variable)" :)


--3frITt1X1XqsqdqK9510Ediw6c1ToatrF--

--L3LRXKdkv76uVGu83rdsUnvXf7QKKBkJ8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXHPSNAAoJEPqg+cTm90wjCKgQAKvN3+BtS3gtx0D6mqssipDc
35gV9jiKl6pHAddenyZwrYqRkKELfJ5CoGafxOqPqYGFBJGLvdQLagno3+aoqSDC
c81F47gfIKwUGRNq9Exdf/1dJJ5s35NU5TfgughQdtWHliOZG8ap6+USOnjZINhF
beFm7aJD5FYhrWoouq7xW2+J4cEadc1RgakxNTC6L4hNhV3dYSpDnXBsEBJz1ZZ/
O/b+40oTF7PG7/wJHN6g0AvGNEgSowDqC3iOFXK7stDmTWhFG9zvCO2lKwQzyx47
xn/cfJ4EEeoMPWiEJV5g1ihYkRXiNTHP1cJ+7cRG48AAIxEjLQFAxATiRn0FQ5ug
kcBgyYKj1e5HHNV5mpXF4qteffxR3mrFQ1xmCgrotISBTYsq7BRr39BZUetSz2/q
EeE94vf3Wbs2FAcPUDvHBWJTMZ8If8Kx/o0lc5fLS9SmwjFhrYFjZBmVPg2jzYpC
Jt7NRvpffLskQ7G6IX10e3FtxyFrrtZSU2W114lG4n6IYp8/7UZHHlRAs29eJK6f
nn4V+fiRiSCNEu2QvyCXomN/MNiGa2GqaD6J7mi2UODhHH+eG9ua+ierXwucqVpF
B6LM8RGveokUuhVBextM8gD7VI1EiQqWETdIhMRLhKsj5E4mqGz5vz1DjgGKD5iC
4NAmoJQbSXIpGJKxSr1g
=DewB
-----END PGP SIGNATURE-----

--L3LRXKdkv76uVGu83rdsUnvXf7QKKBkJ8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 24 Apr 2016 15:59:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 11:59:49 2016
Received: from localhost ([127.0.0.1]:45169 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auMRp-0008Nt-B5
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 11:59:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1auMRn-0008Ng-T8
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 11:59:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1auMRf-0008Q0-NT
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 11:59:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35279)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1auMRf-0008Pw-Jw; Sun, 24 Apr 2016 11:59:39 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4275
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1auMRe-0000pA-FU; Sun, 24 Apr 2016 11:59:39 -0400
Date: Sun, 24 Apr 2016 18:59:16 +0300
Message-Id: <83h9er3smj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <571CDB86.2070303@HIDDEN> (message from =?utf-8?Q?Cl=C3=A9m?=
 =?utf-8?Q?ent?= Pit--Claudel on Sun, 24 Apr 2016 10:43:18 -0400)
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
 <571B9441.4070403@HIDDEN> <83wpno43da.fsf@HIDDEN>
 <571BF829.8000000@HIDDEN> <83potf4jzu.fsf@HIDDEN>
 <571CDB86.2070303@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> Cc: 23341 <at> debbugs.gnu.org
> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Sun, 24 Apr 2016 10:43:18 -0400
> 
> > I understand, thanks.  But to me, such a global value makes very
> > little sense, because tooltips can be used for many different features
> > that don't necessary display short helpful text.  Having a single
> > value for all the possible use cases is IMO not a good customization
> > design, as it can never be a "one fits all" value anyway.
> 
> In that case, I don't understand why we have tooltip-hide-delay as a customizable variable

We have it to provide customization for tooltip.el functions.

> nor why the hide delay is an optional argument to x-show-tip.

Because x-show-tip has a fallback, whose value is reasonable in many
situations.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 24 Apr 2016 15:58:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 11:58:07 2016
Received: from localhost ([127.0.0.1]:45165 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auMQB-0008LW-04
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 11:58:07 -0400
Received: from eggs.gnu.org ([208.118.235.92]:39129)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1auMQ9-0008L2-Nm
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 11:58:06 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1auMQ1-00082Y-2I
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 11:58:00 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35260)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1auMQ0-00082U-VH; Sun, 24 Apr 2016 11:57:56 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4274
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1auMQ0-0006Pg-7z; Sun, 24 Apr 2016 11:57:56 -0400
Date: Sun, 24 Apr 2016 18:57:34 +0300
Message-Id: <83inz73spd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <571CDAFA.6060002@HIDDEN> (message from =?utf-8?Q?Cl=C3=A9m?=
 =?utf-8?Q?ent?= Pit--Claudel on Sun, 24 Apr 2016 10:40:58 -0400)
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
 <571BB03F.5000906@HIDDEN> <571C8674.5050702@HIDDEN>
 <571CDAFA.6060002@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23341
Cc: rudalics@HIDDEN, 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Sun, 24 Apr 2016 10:40:58 -0400
> 
> On 2016-04-24 04:40, martin rudalics wrote:
> > If you can think of a better solution with less surprising results
> > for the user please tell me.
> 
> Isn't using the value of tooltip-hide-delay (or of a new similar variable) as the default in x-show-tip such a solution?
> In other words, what downside does it have? Sorry if I missed one. All that I've seen for now is mentions that this was an internal detail.

The downside is that tooltip-hide-delay has no relation whatsoever to
x-show-tip.  It is a user option supported by functions in tooltip.el,
as its name says.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 24 Apr 2016 14:43:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 10:43:28 2016
Received: from localhost ([127.0.0.1]:45128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auLFw-0004yO-DQ
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 10:43:28 -0400
Received: from mout.kundenserver.de ([212.227.126.135]:64563)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1auLFu-0004yB-SF
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 10:43:27 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue004) with ESMTPSA (Nemesis) id 0M4miX-1bdU7p1ccP-00yyzl; Sun, 24 Apr
 2016 16:43:20 +0200
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: Eli Zaretskii <eliz@HIDDEN>
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
 <571B9441.4070403@HIDDEN> <83wpno43da.fsf@HIDDEN>
 <571BF829.8000000@HIDDEN> <83potf4jzu.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <571CDB86.2070303@HIDDEN>
Date: Sun, 24 Apr 2016 10:43:18 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <83potf4jzu.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="wNVNNRAr447tPhHJePLj41tVTsvuNIC6C"
X-Provags-ID: V03:K0:DcN+t25ZvglKezJYcbkEweYZiGWE8omJQR70dHuLmgIzvKlibXR
 uSYCKq2n9P6kG3/q86qORZ/PBy/TSW8BS7USgGYtJRurgaDST71Z051N7fx+G8DbypwULNP
 RMBGB3slRzJ/oDEgnL0HwNcIKhZK4npZgjCFSDxkFPe2qjlvvfZPkE475vZ8reD8xfW02kq
 55tOJ0+XyWzWqQuWxPfkw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:lG6Pze0LM+4=:v5fVhJlYuYxdLrvXdenMrU
 NubT2ppny1ZgJUDVytJIpDUGlzDpRZuIarD7NcHxwbmzKPSir6Gc8GoRxagUtGPbBJZkgK9Vb
 Y+KbJmbrTv1Hc0f/ucMpg1lkBS01FMDgzyzNgflC6By4EMfnfmVRhXm8VQs0v7KgQ+VF32Apq
 d2V2a1SNp1T51/gWmC55Rdyk0uRkFaU9Q4WSaBCGEsrO9hMAwfw2niidoioYOB4R2ivVaw/li
 RRz5mneCc3EMle2bWPBb/Usv8DJ0H+0zuDiASLRNZHxVQwXMs/LZnkY1k4j0USoHMOijenH0V
 +CJdaZKZ6OX+uZq3DEEJoH6G1fzq0OU2wBcAFzm4SI4p4px719d+KLBnlvYZnPLwzHGTX0pOh
 LBV8rPptlCiyDodjgncerXtJijjiY7WJ9jevfYemi4dp5C5C/4gGmU6yigQx5DyVkJB0NRMt/
 B8aVpJA2LE4Aej8j9e48NOBsW5wmqzz1hNZJjjOTiFamWulivwgPGfh022by800fVMMmrLnDA
 kxsD64S6hB4YBGoX/A4sddVm4Pu5hbrHYPOTO3yZ4u0men7QgaGQFmv5PNDUYzUaYVUIQOspw
 hlTeaDu6ZD52Ue4Evk5oLJ0wSXshrHDLwfxG24b7SQKbltLqHYy6V1noR7AVNHN64qtEZl30m
 vXqhL/fM66rkXBdQj7+Wj6lL5A1f1TI3bmGpouv9VIw3jfceEYCdAlVCjRcvzr9Qy8TQ=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--wNVNNRAr447tPhHJePLj41tVTsvuNIC6C
Content-Type: multipart/mixed; boundary="UuK1lX7X74IXcTuDcE1jPNFOSBcwCKc1t"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 23341 <at> debbugs.gnu.org
Message-ID: <571CDB86.2070303@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
 <571B9441.4070403@HIDDEN> <83wpno43da.fsf@HIDDEN>
 <571BF829.8000000@HIDDEN> <83potf4jzu.fsf@HIDDEN>
In-Reply-To: <83potf4jzu.fsf@HIDDEN>

--UuK1lX7X74IXcTuDcE1jPNFOSBcwCKc1t
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-04-24 02:08, Eli Zaretskii wrote:
>> Cc: 23341 <at> debbugs.gnu.org
>> From: Cl=C3=A9ment Pit--Claudel <clement.pitclaudel@HIDDEN>
>> Date: Sat, 23 Apr 2016 18:33:13 -0400
>>
>> As a user, I would like to have a way to globally configure how long t=
ooltips produced by Emacs are displayed.
>> At the moment, Emacs does not provide such a default. tooltip-hide-del=
ay is close, but it does not cover all tooltips.
>>
>> As a user, I don't like it to have to customize every package that use=
 tooltips to just to ensure a consistent default.
>=20
> I understand, thanks.  But to me, such a global value makes very
> little sense, because tooltips can be used for many different features
> that don't necessary display short helpful text.  Having a single
> value for all the possible use cases is IMO not a good customization
> design, as it can never be a "one fits all" value anyway.

In that case, I don't understand why we have tooltip-hide-delay as a cust=
omizable variable, nor why the hide delay is an optional argument to x-sh=
ow-tip.

But in any case, I don't think wasting Martin's or your time further is w=
arranted; I don't want to distract the two of you from other more valuabl=
e implementation tasks, so I'll abandon this suggestion.

Cl=C3=A9ment.


--UuK1lX7X74IXcTuDcE1jPNFOSBcwCKc1t--

--wNVNNRAr447tPhHJePLj41tVTsvuNIC6C
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXHNuGAAoJEPqg+cTm90wjh7gP/3WSnfoXRKB6qE+p7VCNg0jh
69ODbIA19YHGSQI3jX0omUvLJUPTOHcqb8N+3DGqbMTee2CfjK6JJ/qhT44G9jwr
Pv8UZI+PqxYVfM5mPp5SfE6DpUv5itWI4rMmHNmBqi3K/0xCvuxtIyS2bcRC7GqO
JuK06zKWODInTq+80jeI++5dT/2rsdu4dLb9I/ae5e1agEsukvVVI1g2ObrG45Ej
8jSUg++E8Nh34snapb/cZfjbS85UpiLv0RnC1qvro/pbQXGvWNMBRu5gCsLJk3Wk
gqFpmAmqrwZ0yoDai79ONQl7jWOGNBN9y2v+maDMb2r1boQTt4qrOHJEaMEX33mt
Usm1X8jCCzIiHTAvqseL0KzPwUqZUt2m+yIfN0pqBRnOG3BVckKcIIPWikN+YTLU
xBGiTfLYSyJx5zOJpKY4rAIxMFXN3+WnTIJLuYxuRxUpRUKEumD41nWkAnHAcZv5
zhDNHAVPqGpob7Zqbpzi1Icrv5LaPts6Vn9Elx366TTPEY7ftCHjh/TZHQPg4awJ
rSraJueae2yUFRyBI7HtZJD5fY11tUN4E0QtFt8z2Pdo11oRK4rFmVw99At9yNtY
+IG82lxmTJP1mgc4kpQN64UifYYA7qSFEdWQrhUeMATxy0mtqAvmQMKf51qLlcb4
nnF6H3YLSTTv7ggjEag2
=umKT
-----END PGP SIGNATURE-----

--wNVNNRAr447tPhHJePLj41tVTsvuNIC6C--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 24 Apr 2016 14:41:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 10:41:08 2016
Received: from localhost ([127.0.0.1]:45124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auLDg-0004v4-0t
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 10:41:08 -0400
Received: from mout.kundenserver.de ([212.227.126.187]:62600)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1auLDe-0004uU-QW
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 10:41:07 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue003) with ESMTPSA (Nemesis) id 0MJoUy-1atFHs0nTw-0018J8; Sun, 24 Apr
 2016 16:41:00 +0200
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: martin rudalics <rudalics@HIDDEN>, 23341 <at> debbugs.gnu.org
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
 <571BB03F.5000906@HIDDEN> <571C8674.5050702@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <571CDAFA.6060002@HIDDEN>
Date: Sun, 24 Apr 2016 10:40:58 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <571C8674.5050702@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="LLLKjdMODhIct5gT3xcuhKQ49Mr29Wi7M"
X-Provags-ID: V03:K0:Nq0Y/TROsrhJKqc5YtHOiFVV6z05EVBT8VOft5oL3AXG+L7nLzO
 10U6IHFs8Biwy8ASkuRNNd5UTVl51SzZmp3R/6Un5D8j4sfoIo6Iqwa520dgeWfRAD31kCg
 xU5IgM+x1k/cPnnuoKCaEMO8qBD5pNH0hAeK/WUxW3kctHTM6t3p8+kJ6LX7Ff6JA6FCVls
 ry46w0SnLkD7vnw/ri5gQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:HJIRKf0biGc=:RuSjLjWDWkNHee5GXf0BWd
 foPZTedD7PE/gxexdRFKTpGQ/TI+HKtxLdCGVFpML+XuO657chUmGvTiN3NWG8yidto+GpeIa
 nsiqrUjW/QbeBoEXkwoYHBRLX+gIqcGzqcxhser64JMd8jpAEEyvg5AzjAaUEgDd0WnQluGQN
 Ouk9KqQrwy7CNqT4289U1U+cl2H8ySmKwY7QL8udJPXGE0wSetJ0LPHAXt1D4724gN0NEFGuJ
 JtJRWeG081j3fVIXREuBTIQAXl0hBHu+qMvW/hpEtmzX0ro5IQHTEkoKtBqLLHE19n9hC0vq0
 KYBlfPGSzmvf2OBqlGGdzzp15OI3bpU1oBBc/a9rraBM5+Bxovnvp2Yic1+zrdKFJMBmu9ClR
 5/YMdevxVrpl2ha8stgw/+ar1MlTtsuCfvbKQdEUG+hSlHQ8VmhbLgNFgZzgz6F6N7PlzfHCt
 JUOhkp28REh4Qps1kphmdJeuJxNenmgmsWaowPCDkaQWBd87PKJOY63VgLs6r/I+JVJRrX5DC
 H3RzpFJll2GNE3zKaJGCIs9NzxnbLSWFWsJtI2wS8x39GpEVDZBtY80b9di31b7lKdCcaRggg
 //s8zLNztqlJ62XP8Rq1ZLY8nqXdDe9g80SEJRieDP3Hiuota0D9XHjXRGdM9Eskfu7nTB9JR
 OxeqgcQndWNc4F4rSpVY0DJQ/8TO9sgCtfAgaotVqPRwffsc1wT/TXON/MxkzXTFtKgM=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23341
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--LLLKjdMODhIct5gT3xcuhKQ49Mr29Wi7M
Content-Type: multipart/mixed; boundary="tTnHHgQoN0vfDCNH7UgnqBVsBjUI7dIRW"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, 23341 <at> debbugs.gnu.org
Message-ID: <571CDAFA.6060002@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
 <571BB03F.5000906@HIDDEN> <571C8674.5050702@HIDDEN>
In-Reply-To: <571C8674.5050702@HIDDEN>

--tTnHHgQoN0vfDCNH7UgnqBVsBjUI7dIRW
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-04-24 04:40, martin rudalics wrote:
> If you can think of a better solution with less surprising results
> for the user please tell me.

Isn't using the value of tooltip-hide-delay (or of a new similar variable=
) as the default in x-show-tip such a solution?
In other words, what downside does it have? Sorry if I missed one. All th=
at I've seen for now is mentions that this was an internal detail.

Cl=C3=A9ment.


--tTnHHgQoN0vfDCNH7UgnqBVsBjUI7dIRW--

--LLLKjdMODhIct5gT3xcuhKQ49Mr29Wi7M
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXHNr6AAoJEPqg+cTm90wjgD4QAJ+fKOfdz+UZqZSvjEfPxea8
vhxTih9qC2RB1Rn59MHBIC6g4UDyyPA9ha/I7qyZjHiRYfqBOiOz2bnG0AS0kcBv
YDN9nbyyeGFyRoAO/VaynKtKOA1Y/rcsAGM/zp/lQZbl6YrNouUmbVTrelUpYkn+
EaDHag5b4QmZtMPFemt0/gbFu+iN3npbgK0YtD8RnveI4BPMA2jo3qE+FYJ12MK0
UV0YcGGzxtw3Q/wM3kxcx/LPgMqYbhYzxxVXKfNKNC2s10D6fpmbDqKWD93H11kw
iytuoN3crpDavIfwX2DspwVr5z7Ol6XdBPh8R1Q+E3mDlFl1RTt/X8iCnTLVO9YI
WTbFmNG/f4i/r1TZZUGN6MFmQTkKykcykwZF3Zj/0rAlw8GRZSqRU9y4zZREt9KI
ChgFv7T6uZPTal1EGrLANR80UlK4zwEGVeAdKHegO+Z5qU9A2t4Bm485VcHJ9bA0
C/7VjOwRed4gERATRxnl9iLcd8Kqio6VcNHPXJ/3rYX6/ulYct0aCil2stJ0jplS
aH1JifwCFVJ0hqZbhK+IWvY6XVcRntWAftMl+iUl+SwkrmOrfsCq+JiOAChf7sGI
6pUXxmff0ScukovSb6qxylh3G4Mpa9VhDdH8EXaueRNj+ylKEPQmINb5n/ackAnI
tUS+dP3nt12isP3hi4fw
=m5X+
-----END PGP SIGNATURE-----

--LLLKjdMODhIct5gT3xcuhKQ49Mr29Wi7M--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 24 Apr 2016 08:40:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 04:40:41 2016
Received: from localhost ([127.0.0.1]:44468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auFaq-0006YU-Ue
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 04:40:41 -0400
Received: from mout.gmx.net ([212.227.17.22]:55575)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1auFao-0006YG-SD
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 04:40:39 -0400
Received: from [192.168.1.103] ([212.95.7.62]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0Lu3J4-1btFvM1M2Q-011VVh;
 Sun, 24 Apr 2016 10:40:30 +0200
Message-ID: <571C8674.5050702@HIDDEN>
Date: Sun, 24 Apr 2016 10:40:20 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?UTF-8?B?Q2zDqW1lbnQgUGl0LS1DbGF1ZGVs?=
 <clement.pitclaudel@HIDDEN>, 23341 <at> debbugs.gnu.org
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, 
 and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
 <571BB03F.5000906@HIDDEN>
In-Reply-To: <571BB03F.5000906@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:oxUv4SIw75CjpJjOHhlAWjl7TjzoENtuCzMxMeJAiUTKJ3w7M3u
 xmNE30WcA8bhtRi0FcvutVib16cWhNytSyHviEneEI5GbhaHyxsIy84u1rHOb3ILYp2WMM1
 UUid/0T21bc9kR10/TyT8xvrAulhPDkkFmoZaR90o14I14mw9vPwdsghXXrBQk0CxRbSa6H
 DwgSuZWgcAkQsdlrPCY5w==
X-UI-Out-Filterresults: notjunk:1;V01:K0:5f3bxLubyIQ=:RZE0czgPtoyXVurDIbBMog
 M/+K/SySDqWmUgvsk4sOylCfmxUDSB4AdfrOVDf19aoTk4uv7a58Uj1pYr6Ys5MWQHyb7RoJh
 dM68I4HH92xMDa2VnSfN+JXeCie/m4b6w0k+UVGZYRcpgia44k9+mp019Z+/mXfjB+DYOEULm
 7dty6CN5DVAf/Rvk6LRA+CHPQOQ+2tfCIGe23IZzXEoxKeqYg9WbCdCpG+lJ+uRYAjSh2y9RK
 y3zmCLwk0lw/QUkPEtNLwDn7d51FcgxX+giqCeV38aI16537OX+LDpFp0+3EFD0Vz6cyBIBQS
 67MZHGERAz0AXaXrQ4voncx5unsQhd01EY3FZBDwJTwiUIHFxRQamyhg+t+wD9nPXtNOyMZfb
 M41vLfkaoipVKbW1MD4XLilkzwB0zCreQeWagiL4s6PUpD5SQGKHpS7x4RaBTl8GMIRv9Idcw
 f6WScX1ztJPgFUe310Gk6PgM2uAWnIv18aQO53fe2X3rJR3jfJT0bJvZJehBS/IjUOviWp9O7
 F9xhJZKi7C4UM49gzpz7s9UZzWhSEkutCx1weTUAl1f8qbf+67XwQnDldxjHhg6Ws0xyYCHJn
 wG8dX/Zf6cMG88h6GDnl2t+LUim/urUQiQ/Oqek+VvqydqAPX3cM/eJPcD6iImTvOAvLCRErZ
 wx9+zxlWjW36IvBtEjzC2lQM0IOqUWzX8SgSWwDBWaNjW2ZWTM1u64IPNqe0wF3tyYDu7O2A/
 4hOENwqnBqQ2z8X0sWYBWQBiy9H7P6W4iVhkmaFFGBD2KUXzl1Lr/qHbhMl8lFMrfaM/2NOJA
 o3TvMQb90wSwLVd4yZVoZAx2OiVgQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23341
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > Isn't that one more burden that we impose on package developers for
 > essentially no good reason? Also. what do you mean by "use the value
 > by default"? Do you mean to initialize a defcustom? That won't work:
 > changing the value of tooltip-hied-delay would not update that of the
 > corresponding defcustom. Or do you mean that all packages using
 > tooltips should explicitly pass a hide-delay argument to pos-tip or
 > tooltip or x-show-tip, with that argument being (or
 > package-local-delay tooltip-hide-delay)? That sounds cumbersome and
 > error prone: if that's how we want things done, why is the delay
 > argument optional?

Package =E2=80=98foo=E2=80=99 would evaluate the value of =E2=80=98foo-to=
oltip-hide-delay=E2=80=99
which, by default, should yield the value =E2=80=98tooltip-hide-delay=E2=80=
=99 evaluates
to unless the user has customized =E2=80=98foo-tooltip-hide-delay=E2=80=99=
=2E  That value
should be passed by =E2=80=98foo=E2=80=99 to =E2=80=98x-show-tip=E2=80=99=
=2E  If you can think of a better
solution with less surprising results for the user please tell me.

 > In any case, do we gain anything from hardcoding 5 as the default?

As Eli expained elsewhere this is an internal value which, ideally, is
never used.  And I fully share everything Eli said on this subject.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 24 Apr 2016 06:08:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 02:08:39 2016
Received: from localhost ([127.0.0.1]:44427 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1auDDj-0002w8-MC
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2016 02:08:39 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1auDDi-0002vw-7I
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 02:08:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1auDDY-0006sC-GI
 for 23341 <at> debbugs.gnu.org; Sun, 24 Apr 2016 02:08:33 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56771)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1auDDY-0006s8-Dl; Sun, 24 Apr 2016 02:08:28 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3725
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1auDDX-00080a-JK; Sun, 24 Apr 2016 02:08:28 -0400
Date: Sun, 24 Apr 2016 09:08:05 +0300
Message-Id: <83potf4jzu.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <571BF829.8000000@HIDDEN> (message from =?utf-8?Q?Cl=C3=A9m?=
 =?utf-8?Q?ent?= Pit--Claudel on Sat, 23 Apr 2016 18:33:13 -0400)
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
 <571B9441.4070403@HIDDEN> <83wpno43da.fsf@HIDDEN>
 <571BF829.8000000@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> Cc: 23341 <at> debbugs.gnu.org
> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Sat, 23 Apr 2016 18:33:13 -0400
> 
> As a user, I would like to have a way to globally configure how long tooltips produced by Emacs are displayed.
> At the moment, Emacs does not provide such a default. tooltip-hide-delay is close, but it does not cover all tooltips.
> 
> As a user, I don't like it to have to customize every package that use tooltips to just to ensure a consistent default.

I understand, thanks.  But to me, such a global value makes very
little sense, because tooltips can be used for many different features
that don't necessary display short helpful text.  Having a single
value for all the possible use cases is IMO not a good customization
design, as it can never be a "one fits all" value anyway.

Once again, the current hard-coded value is not a global default, it's
the last resort that is clearly not meant to be used except in very
rare situations.  Developers of features that use tooltips via direct
calls to x-show-tip are encouraged to invest some serious thought into
how they want this aspect be customizable by their users, and provide
defcustom's as appropriate.  Alternatively, they could use
tooltip-show, as the documentation suggests, in which case the
defcustom's already present in tooltip.el will do.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 22:33:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 18:33:26 2016
Received: from localhost ([127.0.0.1]:44371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1au67B-0000Hz-RN
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 18:33:26 -0400
Received: from mout.kundenserver.de ([212.227.17.10]:54931)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1au679-0000Hh-F1
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 18:33:24 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue103) with ESMTPSA (Nemesis) id 0Meu09-1b4jFC3Onp-00OYJc; Sun, 24 Apr
 2016 00:33:16 +0200
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: Eli Zaretskii <eliz@HIDDEN>
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
 <571B9441.4070403@HIDDEN> <83wpno43da.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <571BF829.8000000@HIDDEN>
Date: Sat, 23 Apr 2016 18:33:13 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <83wpno43da.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="QS25dQ04GIpsd4Br1w3HsogXmk9714ksd"
X-Provags-ID: V03:K0:8d7AQ/di97k7c0NfRbUp0A+ENqVNZM+RvuD6tyNbvUTNH+Dpelr
 1xwic9RkLg3ro1G8HgrfHUnituLWfHCulcPiCRshhbt6fGT+4EmquB0nmQPMqRn5W0Rs+NA
 IflLm9QyAcgAH/gqM6aMUBIvWtEbXhi851FqzpkQgtUNesc6TDUC/Pq7vAEFd65nCPXnTFz
 GfcNXZZJ9z6UqhCuX//mw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:y9G55F7zdSc=:j/4yOoYBmCp/mtjKOvEnLM
 648KjmawsFmn/Y82S6HvM3LD4bty5NgXlT5LbaBiZdMDOJHdwgW0MUANYEm1lRNbsViN3JiRn
 5IQh6bYYMBwv4pQt8ckpIS7LyhPIGg+LbjFWYoga2JI54FLs5LBDU12SQh3NQDH8Jr6NNkGs7
 KfeuV3Ii69v+sVtDqpyHA4DqbDd86inw1Y3cpyphzdkIKavAJM+xP69Z09A2ZpOTerrbCbhFz
 HZSJqcNsmG4iJpOArkEbDnk9EMwzJKuN+KkDDEfTqq4ceUQlCkFHXNQQL2OCgpyIbCEFewaf0
 Rn0NcDsaH2DXzbKpB6cCnCPJRI8WkXP3XTHemFDDAw8wZPzwHgybM/MeE4zf5/AVTZaaBDZyF
 H3e6A7fZ7w4Mm7bQh/fnvKx04pgQeOBVHP6hqB2bUWg3ElOR1yTZW0rST7yiXXL233B50QZ/X
 N9q1BcmgMbsxzHfRNSAl2BurIzXRcT+U9SFEWlpx6M8+d2eYbVyZBPN+vr/JUau2H1iayIGpH
 IAXuwBdYW4As9dQhWtWVQS4YqK+4+qmTI/xumH0ccBRv3x2aTg1XKXKXSp2wlk1JTLnnPV4A9
 sFcY/We/4uHisS3t4ehoEH5YNwSIF0rrb2qpeMwv81fR2lhTSbaNf9dtmIifPhf7ymrlgXFnj
 NzsELcTGTEWcKM4am1EL27HtVuzx0CwUwNcfsG5WzPy5l00yc8tz2UlEmwpnmtsk5gL0=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--QS25dQ04GIpsd4Br1w3HsogXmk9714ksd
Content-Type: multipart/mixed; boundary="MXqB1ngNG8MxduBaI07hnP3tFp1hwgIhj"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 23341 <at> debbugs.gnu.org
Message-ID: <571BF829.8000000@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
 <571B9441.4070403@HIDDEN> <83wpno43da.fsf@HIDDEN>
In-Reply-To: <83wpno43da.fsf@HIDDEN>

--MXqB1ngNG8MxduBaI07hnP3tFp1hwgIhj
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-04-23 13:54, Eli Zaretskii wrote:
> I don't think it's right for Emacs to provide such ugly global hacks
> because some packages out there don't give users ways to customize the
> tooltips.  The hard-coded value we provide is the last resort,
> nothing more, nothing less.
>=20
> Bottom line, I think the bug is in the packages that don't provide
> customizations for this, and you should take this up with the
> respective maintainers.

Eli, thanks for your responses. I'm sorry that I didn't make the original=
 bug report clear enough.

As a user, I would like to have a way to globally configure how long tool=
tips produced by Emacs are displayed.
At the moment, Emacs does not provide such a default. tooltip-hide-delay =
is close, but it does not cover all tooltips.

As a user, I don't like it to have to customize every package that use to=
oltips to just to ensure a consistent default.

Cl=C3=A9ment.


--MXqB1ngNG8MxduBaI07hnP3tFp1hwgIhj--

--QS25dQ04GIpsd4Br1w3HsogXmk9714ksd
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXG/gpAAoJEPqg+cTm90wjAqUP/20r9zOQhwlEEm+1pofR/zAn
mLru9r5xLmFM/vc0P6UTKHJyas5SEHMCMYsHRNR2hpllTMFX7zOUu8Aw9oJtbELU
pI7mry1xdvEXjuY6QoZkoxMz5kxiB1W/151XtRp+smIdiKTJ91rEniuf/uB7Jlf+
ELco89yEdGzVYcMOUw1NdJ8lQCdy9PfDkWy84IQnk9XPFIns9j87VyuFraewRxFt
xAcAXea+OInZbSrxb94/uLUfGK9iatd6LTcCQMraWNTzM3fkyK9jWAgkbVw5PSmZ
RhXOxxfEQGM+p9hsnhfMbbUGDJQlslE0bMtG7U9B3kjU5nXDgZiPwdyPqAMpBKWL
TfBlwpRItgWaMFFe7gqxx1na2sZcd9K338kl/bIuXxQRlrLZfApCpbJJIDRjKMyF
2EbobUu68htuY+l1s+iEmLpKu3+AcJ+GrKPdWB/OrsLvYnaJY+z2lX6qwZD1+61G
4+FwVKQyTaN0C4a3x9ie5cIDJdU7t4yIpA9cvZsUE9Fh8yZMjMt0LZrP6bR7bEtW
DaubCAXp7Phx83vUKzc988x143tBxBJU+iA7Z49y/Q8/eERDRSY+BvdMDfW8UVnc
tiT3AcLOZAjTbu4ZfmZ4+OhEZti6bkuKp8KPay6HAmVkR6IO5N+nUDMvTZap9jEf
wn2rgeD1WlhYKMFywN3U
=e1QQ
-----END PGP SIGNATURE-----

--QS25dQ04GIpsd4Br1w3HsogXmk9714ksd--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 17:55:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 13:55:32 2016
Received: from localhost ([127.0.0.1]:44264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1au1mG-0001L4-A0
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 13:55:32 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55225)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1au1mE-0001Kq-C6
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 13:55:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1au1m5-0004Xp-V2
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 13:55:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47298)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1au1m5-0004Xl-S6; Sat, 23 Apr 2016 13:55:21 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3432
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1au1m5-0001A9-5m; Sat, 23 Apr 2016 13:55:21 -0400
Date: Sat, 23 Apr 2016 20:54:57 +0300
Message-Id: <83wpno43da.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <571B9441.4070403@HIDDEN> (message from =?utf-8?Q?Cl=C3=A9m?=
 =?utf-8?Q?ent?= Pit--Claudel on Sat, 23 Apr 2016 11:26:57 -0400)
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
 <571B9441.4070403@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> Cc: 23341 <at> debbugs.gnu.org
> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Sat, 23 Apr 2016 11:26:57 -0400
> 
> > Which package(s) do that?  I think those packages need to be fixed 
> > instead.
> 
> I don't have a comprehensive list; I could compile one, but regardless of that: I don't want to have to configure every package that I use independently. It's good to be able to fine-tune independent packages, but consistent defaults are nice in any case, aren't they?

I don't think it's right for Emacs to provide such ugly global hacks
because some packages out there don't give users ways to customize the
tooltips.  The hard-coded value we provide is the last resort,
nothing more, nothing less.

Bottom line, I think the bug is in the packages that don't provide
customizations for this, and you should take this up with the
respective maintainers.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 17:26:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 13:26:34 2016
Received: from localhost ([127.0.0.1]:44247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1au1KD-0000e8-SZ
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 13:26:34 -0400
Received: from mout.kundenserver.de ([212.227.17.10]:62239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1au1KB-0000du-Jp
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 13:26:32 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue102) with ESMTPSA (Nemesis) id 0M6UrD-1bdJow05z1-00yRWQ; Sat, 23 Apr
 2016 19:26:25 +0200
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: martin rudalics <rudalics@HIDDEN>, 23341 <at> debbugs.gnu.org
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <571BB03F.5000906@HIDDEN>
Date: Sat, 23 Apr 2016 13:26:23 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <571BAC1B.30408@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="P3MlCc1SoFctiPIp9RcgROa14A5A2AqId"
X-Provags-ID: V03:K0:+v+xj7K/g6v/2tBER0/9BaPaeO8bov68kEyN0EC66xPyetT83ur
 g31snVuPNXu08Kqmi3OHcayAHvh4VXz1iNJ6ZgrCQMCMIfhLABHFI8JVgb6PQs2WU6K+Noh
 qOW5koIsrEqJ/PsyEmGlsIJYyeilnUqHcNfqInwSJFJhV8YW/5ZSjwwMxqx+k9F0IdTVArY
 yBJaoOj2ok6aObPKfc4Rg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:bBCfBYSzyqA=:7FXy83dpMh1TkEFAovokig
 tHYG4YRfoudBZZRHlFZHjxrscZmq0qCgdQhEuohTB2gqlzjDCcq54tkQfuraJX/Ig/Ff0xbuf
 TOF+p5Z/YxZytA3I+JrCC1EIShPH8C/tGLbCXKdQ7Vl9m2Qny23rDpBjLkt6W6pVKQ8yWLO9E
 uOJOpkwm67zqvQW8PKArbvPWCzql9H1ylxp287dXXnPIKFJuiJEKBSpAz1+7x8Q8XLMzmdkLS
 Ki3pseYVxb3bSZmT3RUm8lWKdJWQExeE/p4zxrIkR+lNXxVDK+MR0wAnuz8ZDa2wDe9k0RlPF
 ZcSgXecItGNdMrplDpv+q8/PqY3TDpMjW3txcqxKcks10bkBAeUmfnDOpE1wV85RocB8lW5tX
 HwfTDAXRQmGLuvVjmYxpEcxRqxLE9almnCPAh9ZEpbgD+wFpuEym+KgsYdTg6s8mqiVkC+ekg
 lKxbWVgvBa7sNANryXm4cLh6gKZpkO4AQ77uLBM7mGj9DsfOAPUxAAdiualM7gATak5auTj/5
 b1kfM3ErPn1QatbpU/WCkud2BOB2xKcYotcUgjfWEjcE79uTfDtSTPZqOP9d9IAcUYl3omxdg
 hYbUCs/IFJYIbqJStkvlYPVUG4tjclD9sUo8v1+g232Bhbhs7K1jL2EBK1e50VVZFb/Sbh9VM
 MJgYG3NTukL5R+qsQwEuVy1nlnxA79s9DQXGiEAD71MLFr0bVvEW9e/80yXHfdEVlzpA=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23341
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--P3MlCc1SoFctiPIp9RcgROa14A5A2AqId
Content-Type: multipart/mixed; boundary="VD6uPdeo06hCAahvtMpoPU3a4Up3SupuN"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, 23341 <at> debbugs.gnu.org
Message-ID: <571BB03F.5000906@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN> <571BAC1B.30408@HIDDEN>
In-Reply-To: <571BAC1B.30408@HIDDEN>

--VD6uPdeo06hCAahvtMpoPU3a4Up3SupuN
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-04-23 13:08, martin rudalics wrote:
>> I opened this issue based on the experience that it took me some
>> non-trivial amount of time to figure out that I had to configure
>> flycheck-pos-tip-delay, and not tooltip-delay.
>=20
> I don't know flycheck but =E2=80=98tooltip-delay=E2=80=99 is the delay =
_before_ showing
> the tip.  Earlier we were talking about =E2=80=98tooltip-hide-delay=E2=80=
=99.

Indeed, sorry; I meant flycheck-pos-tip-hide-delay.

> Any package that optionally provides its own delay for hiding tips
> should, by default, use the value of =E2=80=98tooltip-hide-delay=E2=80=99=
 for that
> option.

Isn't that one more burden that we impose on package developers for essen=
tially no good reason? Also. what do you mean by "use the value by defaul=
t"? Do you mean to initialize a defcustom? That won't work: changing the =
value of tooltip-hied-delay would not update that of the corresponding de=
fcustom. Or do you mean that all packages using tooltips should explicitl=
y pass a hide-delay argument to pos-tip or tooltip or x-show-tip, with th=
at argument being (or package-local-delay tooltip-hide-delay)? That sound=
s cumbersome and error prone: if that's how we want things done, why is t=
he delay argument optional?

In any case, do we gain anything from hardcoding 5 as the default?

Thanks for your opinion and responses! (and thanks Eli, too :)
Cl=C3=A9ment.


--VD6uPdeo06hCAahvtMpoPU3a4Up3SupuN--

--P3MlCc1SoFctiPIp9RcgROa14A5A2AqId
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXG7A/AAoJEPqg+cTm90wjJOoP/R9ofjFC0PG7z6/gyZnBEUvF
xZa0OUrQqeTM5ujoNA/ysusRlMxpd1/HaoHaEz4f5vpg5LCVwq913KvrblHSIMLe
EDWzKAaA5nTne998FzMNqhpAIbHd6p6OwWsFpy9ktbN1VZkc2ouPjf776sGxFIs+
aSvvycuPs2FAgsIq4oXr6DvltN1Pi7ldNpndof4L/Ox9gwbYRhD+0WTKzxKN8wUp
H056a6ke9h8oCfnS/Ba5m1pds2qA8PxqGoYmX+76Kb8cbme2sVZTvPc29EAK+8WP
2seXobpTki4sqId/wcCpXHV3AJtGjd/PYrEseJvOQugi4AxD7zrO1Tf2aGPDmCXO
bHxefTOY292RMF/rMQF63Ow0ntoBh8jofsN6kxzEEWZ6n7k3mPDvgbjclI1ZJc1I
6QwREKRoVFfxVqd3wbldz3WW2++dfDZ6Uedb2znF/mhbt+QxBICI2/MFNpSYRj5K
HxBHOHrsFi1PEpB+UHprXsw3w+rWfVvsBx89eyvDQtvxe6BIO14kuQYVI68rpAOU
+Yt4aDkI8cVM8Yl+NR7+mUTOEchs11ZwrCN0nrpN0gFhe7PZWNnzHiQVZHcQG75b
WGtuYMC0xg2Yz6LMjwVt1eQGYSaOw5gkKvNgrUx2Xo71b6XRUiAH/TMGSq+pa5Ic
C5rOnZGOaYSXbrdGlK0e
=Icjm
-----END PGP SIGNATURE-----

--P3MlCc1SoFctiPIp9RcgROa14A5A2AqId--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 17:08:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 13:08:59 2016
Received: from localhost ([127.0.0.1]:44238 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1au13C-0000DZ-UD
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 13:08:59 -0400
Received: from mout.gmx.net ([212.227.15.15]:58512)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1au13B-0000DN-Pv
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 13:08:58 -0400
Received: from [192.168.1.101] ([212.95.7.40]) by mail.gmx.com (mrgmx002) with
 ESMTPSA (Nemesis) id 0Lh7sF-1bXjVv3vOR-00oV4X;
 Sat, 23 Apr 2016 19:08:49 +0200
Message-ID: <571BAC1B.30408@HIDDEN>
Date: Sat, 23 Apr 2016 19:08:43 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?UTF-8?B?Q2zDqW1lbnQgUGl0LS1DbGF1ZGVs?=
 <clement.pitclaudel@HIDDEN>, 23341 <at> debbugs.gnu.org
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, 
 and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
 <571B866F.8060401@HIDDEN>
In-Reply-To: <571B866F.8060401@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:GpWP08Ri4mirlc1gV2gxBXy+v9oaee9magEfdpZOwR3St+eKU/I
 fwt/qXipeDAB2cltnFdf2quSFdejRKrHupesH33NTbpbGRtmIj9ktd4vzGGl+g0iyjtr1iC
 w55StIxWQxStWXWuVX6ivUl87lOgGy5S10FDK8aF00uLT+JPqj54yFkBi9gkWWqJRMGHCvv
 5bFLplz2eVj5SItGvbeEQ==
X-UI-Out-Filterresults: notjunk:1;V01:K0:AaAO1TFjues=:YgpdawHFYrngx934WGexOQ
 EOzrT300fzJQW6hg3ns+6mvdqwBLG5p7/pg+7nHdKujtxcc/YYPoXIPv2oXeQcQKTYRcXYRu6
 pRELT41dKm0b9eeu+pitN/ctHHXJ0J2mMeEQx7L/jbXa1n14sNy3LzOsyv19ySMU6fckCyaac
 aUA2+aCNDV+X18LBp4y1CwLL7uoeARlV8coFC43LLGmkwLfEvF438QXTBdTuLOnIPlmga/EGY
 5m258zT81JJkJEG0qBs6yysjk2/NLnBW8DbmMU6jqnR44Ql3RxZ7PmixVO+4v17PLxFMs5UxD
 Fpzfwuk6fAtQhVWdfMWiJf5SnrKPMJAotopNiofWpS2vXJ83wdpiQaSNDlfw8AMkePTdRszAZ
 toyNfmX25tRzwyK2IA8QQblieHcO/4iQG5YmKj/omaVzwdiUqCVYH6qFbRwAd3a6HJ+p3J7Af
 8J9FN0RM2Ko+zKEv1TG/MFKqYi3Bq6AFX/mf76Z5uwjpKnqPAex8fvCxVJexWZc3UeCwQZ9qi
 9BRGd5p9J/pzexi2wx5tYv1iDli+Ul4u5qm1nUR9y3eY+4gd9zQkvlUPlkgdzPQeVONSgVna2
 H88t0KSL5WyH7duXQ5ar6UQsibHdfczgvHOt32mHGxoxqXOWdkqZr3pTyKpTKc9mY8VaRrmWF
 CS5r+7505o3sVETfdIYB6Rq5dBW4BDy3n8C0d9s1ip9WbIrr6eZ7Q9oJDZJrn3Fwb9IwR+2wu
 HnjzmDB36UFgpB+0xCTuAd8mmd1/BMlTaOyea5kRMqvwpMGtOEVrwlM+PcDutzov7JGlT+kC3
 ryV5bHpX1E4Lc6HvBXWmu2EyVYK9A==
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 23341
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

 >> A function that calls =E2=80=98x-show-tip=E2=80=99 directly should ge=
nerally use
 >> =E2=80=98tooltip-hide-delay=E2=80=99 as TIMEOUT argument.  If it does=
n't, it should
 >> provide a customizable variable to use as TIMEOUT argument instead.
 >
 > Maybe, but this isn't a documented convention AFAICS,

We can hardly say in the doc-string of =E2=80=98x-show-tip=E2=80=99 that

   This is an internal function; Lisp code should call `tooltip-show'.

and then explain how to call this function from Lisp code.

 > and it's
 > inconvenient to have to dig to find which default to set.  There's
 > tooltip, pos-tip, 10 packages that depend on pos-tip, and probably a
 > bunch more depending on tooltip. It would be nice to have one setting
 > that applies in all cases where other customization has not happened,
 > instead of using a hardcoded default. Don't you think?
 >
 > I opened this issue based on the experience that it took me some
 > non-trivial amount of time to figure out that I had to configure
 > flycheck-pos-tip-delay, and not tooltip-delay.

I don't know flycheck but =E2=80=98tooltip-delay=E2=80=99 is the delay _b=
efore_ showing
the tip.  Earlier we were talking about =E2=80=98tooltip-hide-delay=E2=80=
=99.

 > flycheck-pos-tip
 > follows the convention that you outlined above, but that convention
 > wasn't obvious to me, and doesn't yield a consistent or very nice
 > experience (any time I install a package that uses tooltips, I need to=

 > wonder configure its timeout, unless it uses tooltip =E2=80=94 which I=
 can't
 > easily guess).

Any package that optionally provides its own delay for hiding tips
should, by default, use the value of =E2=80=98tooltip-hide-delay=E2=80=99=
 for that
option.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 15:27:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 11:27:09 2016
Received: from localhost ([127.0.0.1]:44185 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atzSe-0006I6-NW
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 11:27:08 -0400
Received: from mout.kundenserver.de ([217.72.192.73]:61511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atzSd-0006Hi-0T
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 11:27:08 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue102) with ESMTPSA (Nemesis) id 0LbrjI-1bcyrQ2IE8-00jIEV; Sat, 23 Apr
 2016 17:27:00 +0200
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: Eli Zaretskii <eliz@HIDDEN>
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <571B9441.4070403@HIDDEN>
Date: Sat, 23 Apr 2016 11:26:57 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <83y4844cjs.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="T5hKvTT7o4lmfERQhJMklgP8v2MXuflfx"
X-Provags-ID: V03:K0:SR6Jxj0LFJE02Ke7KCcz64QU9xoA8G1eMQ0/ZakqO5QG5RPuFKC
 +Tq7yYNvIA+9qVWB/tKRz5qQwagEATjThSQv8pFK3yGP6/pNW00YFRYEJ6eDf3mT3IiQ2Ev
 HYaakbJhdBVxHMAcIX+LFNUJsaPpZaSi9+nqWIXiOzuIgqIx5nG9n+id2m8+nWPU9uxiJLf
 6/3b24aAGSUFEyZ9xdK3A==
X-UI-Out-Filterresults: notjunk:1;V01:K0:KknAepH5XY8=:o2vLlc/OaGO+FB8Zid8MeO
 kdwfmrCAi9nSLILtujf8FgUkXmsDRoKqMl4upoJwx0cMZJe5fMLhRh3/KFmRk+roZ0xEl0cpT
 foGPYNFiVeZktyFy35jtB/+nQoPOdMqnqwH/juxwbUC/tu9JB6cAhJ0p+15k5cJ82baO78G7r
 oj1SlEjybXPy3ENkS/Xeg5QfmUVMoLnKg9KlLWmj+3c+WGC37eCFsI+vgb+mm7BYh9DrfbPZr
 X4ufzu0rZWGRkFUfWNFPoLpuYels9jTJF9bmCMT/ECJhFPxYEZhUHNESP74bQd4DfRBC2EwTb
 U/uHXdYAuhlH1D2xqne1J8WB1+7JuAfkJZnrvUE1JRtI79UOOcyTIStZkKMIdIzpIcA5lxJBu
 D/tou9QBK+uu6N3Jsc3H4BpMpzkNTD2ePpZceNCfIgb9lAsCjDCtCG7IUTSD2y3jsw8Eu1yp+
 XE4EOlb0OhZN1FC5x/1WjgtqqXgduvpIGR2VB4f26iTAXoK4zeXzjOjp6mWW0bB71JtOmwEdZ
 Apuf7SXYTV5rNKCtbkDzLZ3FhFxUpjlM/R/3cNbm52UZoP2S01LL6NKM7OxietzYmczWg+KQc
 6wlIXp0lmQwUT3ozX8EfEC1135NBgLQ40v9fTljPjSVG4yCYgxIkkDDjBODjvuj5N3Cz2E5iy
 xEseWX/PDtjixeOY3wM9qekF6Ba5c13eaN1tkm/5IP22CwgsxlEPmUkEDKfG4ZB19zTk=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--T5hKvTT7o4lmfERQhJMklgP8v2MXuflfx
Content-Type: multipart/mixed; boundary="l95ABxOf5jplVdW8ll9Ct9NAOHhiuXhxV"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 23341 <at> debbugs.gnu.org
Message-ID: <571B9441.4070403@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN> <83y4844cjs.fsf@HIDDEN>
In-Reply-To: <83y4844cjs.fsf@HIDDEN>

--l95ABxOf5jplVdW8ll9Ct9NAOHhiuXhxV
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable



On 2016-04-23 10:36, Eli Zaretskii wrote:
>> Cc: 23341 <at> debbugs.gnu.org From: Cl=C3=A9ment Pit--Claudel
>> <clement.pitclaudel@HIDDEN> Date: Sat, 23 Apr 2016 10:22:09
>> -0400
>>=20
>>>> It would be nice to have a lisp-configurable default for
>>>> tooltip timeout; currently, it is hardcoded to 5 seconds in
>>>> x_show_tip.
>>>=20
>>> ??? That hardcoded value is only used if the optional argument
>>> TIMEOUT is nil, so I'm not sure I understand what you are
>>> saying.
>>=20
>> I'm saying that it would be nice for users to be able to set a
>> global default that applies in all cases in which a package uses
>> x-show-tip and doesn't pass the appropriate argument (or make it
>> user-configurable) :)
>=20
> Which package(s) do that?  I think those packages need to be fixed=20
> instead.

I don't have a comprehensive list; I could compile one, but regardless of=
 that: I don't want to have to configure every package that I use indepen=
dently. It's good to be able to fine-tune independent packages, but consi=
stent defaults are nice in any case, aren't they?


--l95ABxOf5jplVdW8ll9Ct9NAOHhiuXhxV--

--T5hKvTT7o4lmfERQhJMklgP8v2MXuflfx
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXG5RBAAoJEPqg+cTm90wj27MP/jquz4AjKTOZmDIDuWjt4opb
4GsOjwwJX16aCGUb505SGDEUiOKjQ+bPVQurqdGs8/x/SSnM8jyCvWLzSaRqzJ6d
asTsUE8+s8+v2LJhtxWMFYrMGVvXTLau5ddPDO1NXBUFmXmxqqLQnqNTxRECqYsA
bTcGsjOB0/qaE5yD6Gjz8syNLPQ6FCcWWzGwUArUxO8ql+0HM278i/XoJ9rgkmIk
g3kyOl4kj9CpoRyo+FvATscIOySe3JFU1Pq5EVna1cGTGTMdddffmQ+Vll+jp7ci
i0vT8+IB2E+fKTcmT05lZWcRQgabxEh1Vl7vfOZSKfd5iTxJmxJvWO5ygOs5P8uM
PRDIDKHMcnADjTsLo5dYrHVDPshhqXrMSJXwZClBk8xxJCfNxDqHdnFHX7vV6XgE
2jDfxZOcxp/q1M6dyT1C+RyNA6jYT9Yhp2Irhe4TyFUsERTnr+f7WXsD2o8fiMND
4CBga6wjCkdP/ZXskhrDy7Q9qDtGdZJKHrGpfP8NgbCKdLUdWLdxAnnJPJTCmjk5
WNLTf/rwkeO1Ses9XgqqDJfopWV6qj4flLSV+7oqXNpB4a0YoRIQXi0fyelVKEuY
pftfeSMNmdbW3rRe8qvzpMyPp14rjVmr5Pcat/MjcEbfP4Z3yb99ZzpByVJkFTWd
NHE+MlEtfheZA/0ULruK
=7LjT
-----END PGP SIGNATURE-----

--T5hKvTT7o4lmfERQhJMklgP8v2MXuflfx--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 14:37:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 10:37:14 2016
Received: from localhost ([127.0.0.1]:44170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atygM-0005Az-5E
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 10:37:14 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46992)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1atygK-0005An-QV
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 10:37:13 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1atygC-0002JF-Dx
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 10:37:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:44121)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1atygC-0002JB-Aa; Sat, 23 Apr 2016 10:37:04 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3361
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1atygB-0002aZ-Do; Sat, 23 Apr 2016 10:37:03 -0400
Date: Sat, 23 Apr 2016 17:36:39 +0300
Message-Id: <83y4844cjs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <571B8511.9050207@HIDDEN> (message from =?utf-8?Q?Cl=C3=A9m?=
 =?utf-8?Q?ent?= Pit--Claudel on Sat, 23 Apr 2016 10:22:09 -0400)
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
 <571B8511.9050207@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> Cc: 23341 <at> debbugs.gnu.org
> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Sat, 23 Apr 2016 10:22:09 -0400
> 
> >> It would be nice to have a lisp-configurable default for tooltip timeout; currently, it is hardcoded to 5 seconds in x_show_tip.
> > 
> > ??? That hardcoded value is only used if the optional argument TIMEOUT
> > is nil, so I'm not sure I understand what you are saying.
> 
> I'm saying that it would be nice for users to be able to set a global default that applies in all cases in which a package uses x-show-tip and doesn't pass the appropriate argument (or make it user-configurable) :)

Which package(s) do that?  I think those packages need to be fixed
instead.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 14:28:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 10:28:09 2016
Received: from localhost ([127.0.0.1]:44161 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atyXZ-0004xI-0s
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 10:28:09 -0400
Received: from mout.kundenserver.de ([212.227.126.130]:65062)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atyXX-0004ws-9h
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 10:28:07 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue003) with ESMTPSA (Nemesis) id 0LehKM-1bVq7K44Fi-00qQaQ; Sat, 23 Apr
 2016 16:28:01 +0200
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: martin rudalics <rudalics@HIDDEN>, 23341 <at> debbugs.gnu.org
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <571B866F.8060401@HIDDEN>
Date: Sat, 23 Apr 2016 10:27:59 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <571B2EA6.80906@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="Ci6snAm06n9S3s0cJ54WpdKi7e6RMHIi7"
X-Provags-ID: V03:K0:VmNMO/1r6/eNHQShFkqruIljxFbFEdcQkRsMnrBZLACML4IIfTp
 v4PCZQpeY6v2EXL4j7ZrlBUzx18LETwlTDjOly/w1dSufNXsVFxQ6/H0F3zraYvp2Fym1NU
 6DB4nVSg/TTvtgvK228ESuTjPVDdIbawND+3wac7RbBch0A1nFkROebwEcY6LnsJzvbxWMy
 hl3kBBPM/YQ6aKdh0S0Gw==
X-UI-Out-Filterresults: notjunk:1;V01:K0:MNQq96EehTw=:JEm6HCcEormp76UCoQ/+vo
 Zeiee/KNXB3O5KTKorCtfY3wzGzXdlDdAhC/dF2S5iqBmLXaOyZj6dCRxnXlI2wSZp7A4eccl
 YQluOm+EbNqJh+AB+F2ZX7c/n45v4ZoVOt3pFtypwllB1mtmcSvY5hDaXP0Wut/85RW3JapR4
 Ntols1XFhH7lPyu02SvT7tOiNcrBYsf4/zv+yofumms9+W4UDHDL2jiUMkSYFMXl9qXbQAouS
 tiViqve6lwkp6AysEsh+YT/NkJwufHOd97VlH9JiricpSgKvVLtIhPDKP8qaac8kqeZ1WpgWk
 OLFCPYl0k5U89QygC9rC5IAM8dMCPyuYuJ2b06aWR2gbNKxCn8uI+DN0zAyDOLgLCHVL31Z2E
 7clgIgThYcyXy3m5e2UUyRRleXq4gYQm+k/uKFA1Tpu7Or2iYjxiFblF1ERwm94V1EsTZ7nXq
 0zL6KUVm+X8sls7XX5BhKEp6VAzHBknems00vASChEelvZ4neELaXFDI6XA7BL/TAaXYV6BsC
 8mwx+N5uefCfuYovNz5fORtwHVirOQxIj6fIZsZosU8fBtRKfbgn//ZA9jpc2D18whOu6nn90
 NmRyBu3TQ7g6rt3srK6Z+3ZvMMxjYH2J2S1Y8vR1C/JAkqXAESVM3HwfNhMTcVO03Dzt4ZTlV
 lS2+3BctDfNFge6StZe9C+RGtCEbLhjDDQD5ecAbbAS09UfzHX1VwQoCrPLK0/WvJGmk=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23341
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--Ci6snAm06n9S3s0cJ54WpdKi7e6RMHIi7
Content-Type: multipart/mixed; boundary="5LUdus3DC7QkNeRCu0Mpmeoac6aSR1LhD"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>, 23341 <at> debbugs.gnu.org
Message-ID: <571B866F.8060401@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <571B2EA6.80906@HIDDEN>
In-Reply-To: <571B2EA6.80906@HIDDEN>

--5LUdus3DC7QkNeRCu0Mpmeoac6aSR1LhD
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-04-23 04:13, martin rudalics wrote:
>> It would be nice to have a lisp-configurable default for tooltip
>> timeout; currently, it is hardcoded to 5 seconds in x_show_tip.
>>
>> There already exists a variable that could serve this purpose:
>> tooltip-hide-delay.
>=20
> A function that calls =E2=80=98tooltip-show=E2=80=99 doesn't have to ca=
re because the
> latter already uses =E2=80=98tooltip-hide-delay=E2=80=99 as TIMEOUT arg=
ument for
> =E2=80=98x-show-tip=E2=80=99.

That's true :)

> A function that calls =E2=80=98x-show-tip=E2=80=99 directly should gene=
rally use
> =E2=80=98tooltip-hide-delay=E2=80=99 as TIMEOUT argument.  If it doesn'=
t, it should
> provide a customizable variable to use as TIMEOUT argument instead.

Maybe, but this isn't a documented convention AFAICS, and it's inconvenie=
nt to have to dig to find which default to set.
There's tooltip, pos-tip, 10 packages that depend on pos-tip, and probabl=
y a bunch more depending on tooltip. It would be nice to have one setting=
 that applies in all cases where other customization has not happened, in=
stead of using a hardcoded default. Don't you think?

I opened this issue based on the experience that it took me some non-triv=
ial amount of time to figure out that I had to configure flycheck-pos-tip=
-delay, and not tooltip-delay. flycheck-pos-tip follows the convention th=
at you outlined above, but that convention wasn't obvious to me, and does=
n't yield a consistent or very nice experience (any time I install a pack=
age that uses tooltips, I need to wonder configure its timeout, unless it=
 uses tooltip =E2=80=94 which I can't easily guess).

Cheers,
Cl=C3=A9ment.



--5LUdus3DC7QkNeRCu0Mpmeoac6aSR1LhD--

--Ci6snAm06n9S3s0cJ54WpdKi7e6RMHIi7
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXG4ZvAAoJEPqg+cTm90wjWiUQALTbvMdDQzguz0imRFLTXaxJ
F4HZI7B+jiDq2L9k/LcmiJ42baYO2ocz20Q2/9bcoPO0/af4kdnV9t4f+3IOu7El
kfKvz/AizQe1MNt52Qfvk1AyjfoPzNmm/z6kZ3H8+NYcxerklVJHH123DCR4wLrh
XmXsKX0fs6OlN+SMdh9UVNRtMoZCqjyopm2wvaQ4nt/wanOKcV2YUfaxHfbqi7G+
rs53kNA2xPtXuYJb6J23Fx0Gsj60RIJL/ahtrTs7gsZ7SjcNVGmm1MRo8yV/3BHO
bk7PEyLqRqaXu8Hq/jWwsrvoU7iTXKtt5kFmHf0VhPkl8LTr8M7FTmaxg2muGFky
LbA/qv0em2ShA849BzruKcVR+TwR21skzXL27lz2SBREy50zk7NizbFa1iD7i9u0
nxxHCdrjJM8XjdIbm/yfaruup6cl3Z0s9EVsHg2GnqyDM6oj6/4H3xiONAFXvNLl
N5Ky1U/7zFDDFJ/ERPuxzxD74wZx1Im0taWas93kwiUqP6YjNdXXLaVimCC0qo0a
Fd2AboOtbPycKYjrBObsF5PpoLNLisezkOY7Bs8ritivl1RXGyh1Oh+rWU9/bhMp
pqxLM9nCuUXoDcEb6LDSIIyRkqhw68eQ4LZVS1dkGsn8wKdbHhALDJ1vl4a+sImh
L4Q0r79VyvRcZm0l74fU
=6h3j
-----END PGP SIGNATURE-----

--Ci6snAm06n9S3s0cJ54WpdKi7e6RMHIi7--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 14:22:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 10:22:20 2016
Received: from localhost ([127.0.0.1]:44157 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atyRw-0004pH-Bj
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 10:22:20 -0400
Received: from mout.kundenserver.de ([212.227.126.131]:54329)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atyRu-0004p4-KV
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 10:22:19 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue001) with ESMTPSA (Nemesis) id 0MOo4s-1aq8gs018Y-0063mz; Sat, 23 Apr
 2016 16:22:12 +0200
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
To: Eli Zaretskii <eliz@HIDDEN>
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Message-ID: <571B8511.9050207@HIDDEN>
Date: Sat, 23 Apr 2016 10:22:09 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
In-Reply-To: <83eg9w6cjl.fsf@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="Egk3pd34crm4s01JccehwtX5JvXfkUTo8"
X-Provags-ID: V03:K0:U8e5Kzao87RWXo1ieYu5YTxIu1frLlSNxKYWzgB4FFk+mURZr95
 N0HajzZjUSAI+h7mRXqiHi5AtymKeg3qH5IWu+aFO3DeOY/BtCXWYw+RZIiQEY4xNev9SPz
 dniSdTwLjbKtTSP/MxS7CsQz33u+F7Zw90Dk8Nkbcb2vpXFKWCBUq4hfbHoizvCua50vNIr
 3q0Fry/8f1pcegRfwKNng==
X-UI-Out-Filterresults: notjunk:1;V01:K0:Z3CaVb1hfzw=:G+EiWQU/GevFMIM/o8WOO7
 oenFCnVQEDMQafqn4xNAfHr7zyyRmHVTfr2tBciWgoQ654OYi89JZgqWSUBE2/NNPJ+i43B3V
 j+tvHWWVv17C90ZyO5DvFPK2TG//dugTlgnfEmhyTtlpc29DNIjQuk5zEyC8kVPv+wYD8Ttcp
 dhwPChnEx2xEdqJARTMIBeKRJVrUxQlOEoiPcrlImqWqfZKyLrrezdtN6qS5ZiYIfHIfFpHrq
 Ww1Le/uoFUP/T8cIXVvas76FLOnDvp+sLEn5IB81uZPkupNLKi4+wgN707qoXSiAIwsp9T1Pj
 ppEu8g1LWxGIzCOBHb2tnn2gTmCi7xUYWpOLRyQgeu9BEpX8TpJfCMnQCGHTk7kNfx8PD2f9T
 aFP+b6o9juT3at4cziyMzYUF7VG4sn+h8pfXsUjKqq8gc1uH/0IqYyWwdok7SbWRVKluX6MBo
 KVPhWHpwVEGh6PhCkl6vpfrg2EFZTUI0K/FZHGvPoGRalJkbWUqe3apwe9ADKpRVInV2c9jv7
 HQ6TEuHkweFZ96RjJfoKtGUOjHaKdJ/WIUiz/F4+4EHNyJESdVbfnICBlhfaQLr8CXYmM+PSn
 B+p2xH7lj/2hjvpskbPw7v3oTO9b3XCVYykwBnAnI/5cblPMuXbuYc0Kq3b8vMmMwMKizrldJ
 BxQnVVMTZtfQ2JCjJbrj6odwbzR1D4fM54CgdDDKaNw9b33OStq2yonxcbV9iIJ2C8Yg=
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--Egk3pd34crm4s01JccehwtX5JvXfkUTo8
Content-Type: multipart/mixed; boundary="oosMGHqO8n2aErvgSArtspCP4rMhgpSkH"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 23341 <at> debbugs.gnu.org
Message-ID: <571B8511.9050207@HIDDEN>
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN> <83eg9w6cjl.fsf@HIDDEN>
In-Reply-To: <83eg9w6cjl.fsf@HIDDEN>

--oosMGHqO8n2aErvgSArtspCP4rMhgpSkH
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

On 2016-04-23 02:53, Eli Zaretskii wrote:
>> From: Cl=C3=A9ment Pit--Claudel <clement.pitclaudel@HIDDEN>
>> Date: Fri, 22 Apr 2016 22:47:28 -0400
>>
>> It would be nice to have a lisp-configurable default for tooltip timeo=
ut; currently, it is hardcoded to 5 seconds in x_show_tip.
>=20
> ??? That hardcoded value is only used if the optional argument TIMEOUT
> is nil, so I'm not sure I understand what you are saying.

I'm saying that it would be nice for users to be able to set a global def=
ault that applies in all cases in which a package uses x-show-tip and doe=
sn't pass the appropriate argument (or make it user-configurable) :)


--oosMGHqO8n2aErvgSArtspCP4rMhgpSkH--

--Egk3pd34crm4s01JccehwtX5JvXfkUTo8
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXG4URAAoJEPqg+cTm90wj8RMQALuwqIM51YeqslSK+WFiSTVG
c1MQ5eIyUh+rCWJidOlO5ATA6NH0cArAhbVtwFKPy4CcqIx32SFXe1NBh/pi7CYN
WBojRK/FHnxcsD5IYFELlybjNX2JPZZu9+1dRgLoFwKrTaKkrQCXxNSSnzawn2ws
1YUqJ0OlPtUWUsM1nO42eshgSFQpmtl+XgfFI3LmM/+IoI9qPY4Cjk/Z0gKGUR+/
yYKCJcPC2Yg7sJ5BWPcG9TVYmTp/nyl0GgSZoMks31n3qJmjMXVtXHA9jziQbXbm
Rq9CJzO/w/r2NxpeUEhXec7EIqkmynaSWHcp5HHcWDefK19nxafqppJCovJA6LYK
DoT0gXegvuIirQFlkY17dbgeogC14lipCTrCsQ4jrIPnCq7o+WRvnMAF9JPqpXtK
Woiwkop42tbG6CmIvbP930r4C8GIr2BF0cdV0037lMzG/ZkB6jfnJMbJay7nHF25
KLUmx0xkqNuPrDD7adifQOESTwI3FMUSa8GFd6cltfeLjbkwhnwVlHvSASH6fTWl
9ybifPySrm0covT3S1v6EQS4MXBBQzDTSi93GOJjTbkwZVnRiThWP2xsoGuvyuIz
kEVd0z9xqQMC4kLyfKcpWQhjJTirlxrGhUHRc7lt4MWDvuVgidKz6GxrVua1erFb
XKgZ9ifRwkz44uqZmk+D
=nlfm
-----END PGP SIGNATURE-----

--Egk3pd34crm4s01JccehwtX5JvXfkUTo8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 08:13:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 04:13:43 2016
Received: from localhost ([127.0.0.1]:43578 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atshC-000319-Og
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 04:13:42 -0400
Received: from mout.gmx.net ([212.227.17.21]:58239)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1atshB-00030w-62
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 04:13:41 -0400
Received: from [192.168.1.101] ([212.95.7.18]) by mail.gmx.com (mrgmx101) with
 ESMTPSA (Nemesis) id 0Ll0tl-1bU2OG1Ng5-00ajZW;
 Sat, 23 Apr 2016 10:13:33 +0200
Message-ID: <571B2EA6.80906@HIDDEN>
Date: Sat, 23 Apr 2016 10:13:26 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: =?UTF-8?B?Q2zDqW1lbnQgUGl0LS1DbGF1ZGVs?=
 <clement.pitclaudel@HIDDEN>, 23341 <at> debbugs.gnu.org
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, 
 and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN>
In-Reply-To: <571AE240.2090103@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K0:aAoGB+yrVtsh0aIq7V2gZkUTFWiIWLEYD121mUJbyO9zhAr8pCx
 2JVwdr06GvrxG9ldpKu3Fi2ehGKvvMneJ3r5A5t08TsonLDGNxZLrQrADNHuOsvToRHLJOD
 BUh55IMK6NcW96DLz1U0D6t+FHdLklSheWltz+HjKjAIbz9gYuhCqEZfYa227rU1TiOJfHC
 WZ3Mhejw1PVS2kOHN83kA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:FLNnLz5g9PY=:er2kcJtVxZs+OgGc8Eav75
 2UExeWLd69Nmerhb/MiY5EO2YwVF90OLBmxhln9H6gduLPBlqd8QWR+PJ94zKl2TUUPYCqtsU
 ZIrktIT3dLBpgY9W1Exd/nvb1edlh3jlldi7G9bgxM63+C/c9naxBUo/tCatptUP2TFHYdoGa
 ObOgAD31itW/Up5v4tt1YCGMD9vqzYefhdBsKsELz8F+Y6Jtg+GBio/JPjJbR9IBBju43iZ+N
 Uo0pmkrkza1anfdIaSK5wcsFZ15c4n68TddCss5/ieag8N/tm/rszRxd99JNRl2zCtLUJHi2t
 mpkX3Tvidvo6f1TYJaPcJ5P2w4RBEl9djlKxnpK6Kmyxoa5SEPTWAbYbJ7TViuCccrm79e7cq
 Shaem6V2h8w/G/4o9ZQVn0GcrAbRaYvI9G+BnMW8iqFdKXPjHGaehNoUTCSp18AiFfdcXgtAS
 8iEXLNNiUZhbM7fZw/8m1pmjsmVQyw6boFLd8lBerx4tSrgRIUaH+RL4zblaYzwxWFHZfY299
 WcbupZWK9okUwgOuE3AhiCNf3WQP651z8Jav3f/0WAKt8UBRFP9PfQ+QdSfq0DxXTLATb13Bi
 qaR2kNoNSutv0u15LMQEGXfBvEkHtBhwmkdRvC8SmhrkHQNz3jeIqEc9LnABoribT9l6wLu2B
 lB/bLSUtP/OUlojmvINo9/VyDQdY3+yPDOqLahQLH1ZM/gyI4zwcBpzUAhribRGYM+Wf39Los
 dNm37gyM+9fcOcv7vmdv3k1GDT3mzfSfJ5VxE9zt5/ZbkdCuyVQZ+h1irpt7k1RnH0Uw/dybG
 ap85E2u3ERQBzoIzSgw060qSvtX6g==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23341
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 > It would be nice to have a lisp-configurable default for tooltip
 > timeout; currently, it is hardcoded to 5 seconds in x_show_tip.
 >
 > There already exists a variable that could serve this purpose:
 > tooltip-hide-delay.

A function that calls =E2=80=98tooltip-show=E2=80=99 doesn't have to care=
 because the
latter already uses =E2=80=98tooltip-hide-delay=E2=80=99 as TIMEOUT argum=
ent for
=E2=80=98x-show-tip=E2=80=99.

A function that calls =E2=80=98x-show-tip=E2=80=99 directly should genera=
lly use
=E2=80=98tooltip-hide-delay=E2=80=99 as TIMEOUT argument.  If it doesn't,=
 it should
provide a customizable variable to use as TIMEOUT argument instead.

martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at 23341 <at> debbugs.gnu.org:


Received: (at 23341) by debbugs.gnu.org; 23 Apr 2016 06:54:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 02:54:26 2016
Received: from localhost ([127.0.0.1]:43563 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atrSU-00018N-6r
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 02:54:26 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58490)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1atrSS-00018B-P9
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 02:54:24 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1atrSK-0001YM-5n
 for 23341 <at> debbugs.gnu.org; Sat, 23 Apr 2016 02:54:19 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.0 required=5.0 tests=BAYES_20,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37799)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1atrSK-0001YI-2M; Sat, 23 Apr 2016 02:54:16 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4839
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1atrSJ-0001Lw-BT; Sat, 23 Apr 2016 02:54:15 -0400
Date: Sat, 23 Apr 2016 09:53:50 +0300
Message-Id: <83eg9w6cjl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
In-reply-to: <571AE240.2090103@HIDDEN> (message from =?utf-8?Q?Cl=C3=A9m?=
 =?utf-8?Q?ent?= Pit--Claudel on Fri, 22 Apr 2016 22:47:28 -0400)
Subject: Re: bug#23341: x-show-tip does not respect the value of
 tooltip-hide-delay, and the default tooltip timeout isn't configurable
References: <571AE240.2090103@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: 23341
Cc: 23341 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)

> From: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>
> Date: Fri, 22 Apr 2016 22:47:28 -0400
> 
> It would be nice to have a lisp-configurable default for tooltip timeout; currently, it is hardcoded to 5 seconds in x_show_tip.

??? That hardcoded value is only used if the optional argument TIMEOUT
is nil, so I'm not sure I understand what you are saying.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Apr 2016 02:47:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 22 22:47:45 2016
Received: from localhost ([127.0.0.1]:43525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1atnbl-0001pT-Or
	for submit <at> debbugs.gnu.org; Fri, 22 Apr 2016 22:47:45 -0400
Received: from eggs.gnu.org ([208.118.235.92]:50065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atnbj-0001pD-Fh
 for submit <at> debbugs.gnu.org; Fri, 22 Apr 2016 22:47:44 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atnbd-0006ZQ-B4
 for submit <at> debbugs.gnu.org; Fri, 22 Apr 2016 22:47:38 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33085)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atnbd-0006ZM-7k
 for submit <at> debbugs.gnu.org; Fri, 22 Apr 2016 22:47:37 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:41033)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atnbc-0007BG-CQ
 for bug-gnu-emacs@HIDDEN; Fri, 22 Apr 2016 22:47:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atnbZ-0006UJ-6U
 for bug-gnu-emacs@HIDDEN; Fri, 22 Apr 2016 22:47:36 -0400
Received: from mout.kundenserver.de ([212.227.126.130]:63408)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1atnbY-0006RR-TR
 for bug-gnu-emacs@HIDDEN; Fri, 22 Apr 2016 22:47:33 -0400
Received: from [18.189.83.142] ([18.189.83.142]) by mrelayeu.kundenserver.de
 (mreue003) with ESMTPSA (Nemesis) id 0Lb6pZ-1bZi4h2DAP-00kf8G for
 <bug-gnu-emacs@HIDDEN>; Sat, 23 Apr 2016 04:47:30 +0200
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Subject: x-show-tip does not respect the value of tooltip-hide-delay, and the
 default tooltip timeout isn't configurable
Message-ID: <571AE240.2090103@HIDDEN>
Date: Fri, 22 Apr 2016 22:47:28 -0400
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:38.0) Gecko/20100101
 Thunderbird/38.6.0
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha1;
 protocol="application/pgp-signature";
 boundary="1LaBwqa4KT5B2Ko1HThOvRkr7MLS8gO4k"
X-Provags-ID: V03:K0:NI8qap/FLZXIBdoyWGv5SmaT4UBfXgsQhSSJiWymV1PVRrqL4EI
 vrfiYEuw44VdW45S0OZli1/9kD6KN5jaFa1PZtgbOA761rn4qqiIxvRqjWiU8uXJIWdN2F0
 LJV+mtL2d1yWVPWhIJZVV9goIUQgF4XvBUx2cEz7CNwHQo9AOYRUNtll3QGBwr3nTygM1Tg
 aUHeP6rR0G5YFG3WiSF6g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:l4dJnVlgWmE=:9BK2DOkpg/NKjAKMjesVVf
 H8APE5OfNGuUeOLqE+FiRVrFxbCwaUxb/NxROC9CAY/RFxoGkVz3DzKScQxieeOXw1dPqJyVL
 yWx0bCrHkLGbfz810S9hPSpkX7W4DP1Fum1G+jwOJ8ZhD/ZLxRlkInSX//lY9MxuG7XK0zAMF
 FjKIoACztiWwOTBZPVoY1DCzhGULzEWMMOTtWpEKDryVP2Re+LenatjQnDb71efNmdEPHJSez
 gprD/CZR63EO/lcfEGkeOvvdtkPfAElFTJfgmmZEbWpOabW6C8KRm9VSaavc3o6qZXIA0o5Ly
 cfKJ4mMGrMAsERl4oYJ9MiyNe1y4ZAIIIScWLovJRqDgBBPAq65tHEl4gvZclxn/Jrg2t00g7
 TuJaG33ue3QkJkwHVdr80Egqq/6Chz+zgzz0/XzGti9+xxJcokeo6S7A9QBv6glQLWfOGKrjS
 Cd3XkArsiUOZddCc4bA7iAGJH144euc9Y6lfFI0LRx3SJy+IOl5Mf4465A9msPpIGBtfrS/H2
 AlZxsjoS+vw+XGlzEazBIuNi5XID6Yp5jAHmATqa3HoHXx9t45HPWM5kGQKdLdf5/ZvrJUa+0
 +hSjmlrpBRYObEumprv95TeuVJi8VOf8TB24Uo6oTgwCJ8V14YfYzZbzHgLFwVE9T8syfHewI
 +o9KxvGFYtqRKE6Ipyiix170VxTRUHszvLifMf19pbbuxAe0OE0UM9+g8f905X+wlyvE=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--1LaBwqa4KT5B2Ko1HThOvRkr7MLS8gO4k
Content-Type: multipart/mixed; boundary="j2A3q4dgdttXtrsLjs8tqRvSd6I47Xi5w"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Message-ID: <571AE240.2090103@HIDDEN>
Subject: x-show-tip does not respect the value of tooltip-hide-delay, and the
 default tooltip timeout isn't configurable

--j2A3q4dgdttXtrsLjs8tqRvSd6I47Xi5w
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

It would be nice to have a lisp-configurable default for tooltip timeout;=
 currently, it is hardcoded to 5 seconds in x_show_tip.

There already exists a variable that could serve this purpose: tooltip-hi=
de-delay.


--j2A3q4dgdttXtrsLjs8tqRvSd6I47Xi5w--

--1LaBwqa4KT5B2Ko1HThOvRkr7MLS8gO4k
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iQIcBAEBAgAGBQJXGuJAAAoJEPqg+cTm90wjyCgQAJK+mQDo0tYm5OyzY/d4bf4/
IUftO5XSPxXCPTgg3tL+32mdoYh0O3bOMi2kr0OKbiKqdjk79a5JxAvpDWSn4Va2
gprMntrjHYJC7H7N+XF1DL1/3IQL6o6ggqYOHkOi2pjDy4Sba+V7c84oVKT69Pq9
nbXFcumAvZM08paru5joapLTuXmZz2xCfr+2Mh9uwYJNodkWHR1oaToODsCM/VSy
j4zIHTTs94B+U9r3jRMXtKzfWl7C6ckZ5axZJt3BQkCwh++1i3oh0TqNkcRf6DSK
yF2h9ye4TPjlBerfOdqSECHIs5wn7SLIkZM3RuWg7DSoi0z8SiSKEljuW/ll78kn
NoAka5Uh0URMkdI5aS1lFJx8vmgcKFByk+ohx59n5zr+sFgn6t7NFGQiN4+1FX5O
9or7cxjl0HxG3kxfz9bhoPtqGqaCpWH7Qa6tVavRlcGRqpizasPenVeLh5j7vDg1
Wpy0Z6a1ZxMDxzbIr2L68Q0R7r89KNfVXdgJHnW7FhskvukZmAEoKK1SrVusZ6nE
bvShKhrM/DAIlc7XSQaL8T/lQLxmUNoUojW1BHaXOZxmiWNlS36Bbc6SNwuknCLI
E4bGLYDYPM5I+v/83EzOOGTQ4K6nM+nylt6YSKUDS6CfFxk0xncAqjMwYkMpBm34
Ue55bZHiSasg/2eFFqqh
=EMA/
-----END PGP SIGNATURE-----

--1LaBwqa4KT5B2Ko1HThOvRkr7MLS8gO4k--




Acknowledgement sent to Clément Pit--Claudel <clement.pitclaudel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#23341; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 26 Apr 2016 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.